Package org.eclipse.cdt.utils.macho

## Class MachO

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO

    @Deprecated
    public class MachO
    extends Object

Deprecated.
Deprecated as of CDT 6.1. Use 64 bit version `MachO64`. This class is planned for removal in next major release.

### Nested Class Summary

Nested Classes
`class` `MachO.Attribute` Deprecated.
`class` `MachO.DyLib` Deprecated.
`class` `MachO.DyLibCommand` Deprecated.
`class` `MachO.DyLibModule` Deprecated.
`class` `MachO.DyLibReference` Deprecated.
`class` `MachO.DyLibTableOfContents` Deprecated.
`class` `MachO.DyLinkerCommand` Deprecated.
`class` `MachO.DySymtabCommand` Deprecated.
`class` `MachO.FVMFileCommand` Deprecated.
`class` `MachO.FVMLib` Deprecated.
`class` `MachO.FVMLibCommand` Deprecated.
`class` `MachO.IdentCommand` Deprecated.
`class` `MachO.LCStr` Deprecated.
`static class` `MachO.Line` Deprecated. Simple class to implement a line table
`class` `MachO.LoadCommand` Deprecated.
`class` `MachO.MachOhdr` Deprecated.
`class` `MachO.PrebindCksumCommand` Deprecated.
`class` `MachO.PreboundDyLibCommand` Deprecated.
`class` `MachO.RoutinesCommand` Deprecated.
`class` `MachO.Section` Deprecated.
`class` `MachO.SegmentCommand` Deprecated.
`class` `MachO.SubClientCommand` Deprecated.
`class` `MachO.SubFrameworkCommand` Deprecated.
`class` `MachO.SubLibraryCommand` Deprecated.
`class` `MachO.SubUmbrellaCommand` Deprecated.
`class` `MachO.Symbol` Deprecated.
`static class` `MachO.SymbolComparator` Deprecated. We have to implement a separate compararator since when we do the binary search down below we are using a Long and a Symbol object and the Long doesn't know how to compare against a Symbol so if we compare Symbol vs Long it is ok, but not if we do Long vs Symbol.
`class` `MachO.SymSegCommand` Deprecated.
`class` `MachO.SymtabCommand` Deprecated.
`class` `MachO.ThreadCommand` Deprecated.
`class` `MachO.TwoLevelHint` Deprecated.
`class` `MachO.TwoLevelHintsCommand` Deprecated.
`class` `MachO.UnknownCommand` Deprecated.

### Field Summary

Fields
`protected CPPFilt` `cppFilt` Deprecated.
`protected boolean` `cppFiltEnabled` Deprecated.
`protected boolean` `debugsym` Deprecated.
`protected ERandomAccessFile` `efile` Deprecated.
`protected static String` `EMPTY_STRING` Deprecated.
`protected String` `file` Deprecated.
`protected MachO.LoadCommand[]` `loadcommands` Deprecated.
`protected MachO.MachOhdr` `mhdr` Deprecated.
`protected static MachO.SymbolComparator` `symbol_comparator` Deprecated.

### Constructor Summary

Constructors
`protected` `MachO()` Deprecated.
`` `MachO​(String file)` Deprecated.
`` `MachO​(String file, boolean filton)` Deprecated.
`` `MachO​(String file, long offset)` Deprecated.
`` `MachO​(String file, long offset, boolean filton)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `cppFilterEnabled()` Deprecated.
`void` `dispose()` Deprecated.
`protected void` `finalize()` Deprecated. Make sure we do not leak the fds.
`MachO.Attribute` `getAttributes()` Deprecated.
`static MachO.Attribute` `getAttributes​(byte[] array)` Deprecated.
`static MachO.Attribute` `getAttributes​(String file)` Deprecated.
`MachO.DyLib[]` `getDyLibs​(int type)` Deprecated.
`MachO.Symbol[]` `getDynamicSymbols()` Deprecated.
`String` `getFilename()` Deprecated.
`MachO.Line[]` `getLineTable()` Deprecated.
`MachO.Symbol[]` `getLocalSymbols()` Deprecated.
`MachO.MachOhdr` `getMachOhdr()` Deprecated.
`MachO.Section[]` `getSections()` Deprecated.
`MachO.Symbol` `getSymbol​(long vma)` Deprecated.
`Object` `getSymbolReader()` Deprecated.
`MachO.Symbol[]` `getSymbols()` Deprecated.
`MachO.Symbol[]` `getSymtabSymbols()` Deprecated.
`static boolean` `isMachOHeader​(byte[] bytes)` Deprecated.
`void` `loadBinary()` Deprecated.
`void` `setCppFilter​(boolean enabled)` Deprecated.
`protected String` `string_from_macho_symtab​(MachO.SymtabCommand symtab, int index)` Deprecated.
`long` `swapInt​(long val)` Deprecated.
`int` `swapShort​(short val)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### efile

    protected ERandomAccessFile efile

Deprecated.

#### mhdr

    protected MachO.MachOhdr mhdr

Deprecated.

#### loadcommands

    protected MachO.LoadCommand[] loadcommands

Deprecated.

#### cppFiltEnabled

    protected boolean cppFiltEnabled

Deprecated.

#### cppFilt

    protected CPPFilt cppFilt

Deprecated.

#### file

    protected String file

Deprecated.

#### debugsym

    protected boolean debugsym

Deprecated.

#### EMPTY_STRING

    protected static final String EMPTY_STRING

Deprecated.

See Also:
  Constant Field Values

#### symbol_comparator

    protected static final MachO.SymbolComparator symbol_comparator

Deprecated.

### Constructor Detail

#### MachO

    protected MachO()

Deprecated.

#### MachO

    public MachO​(String file,
                 long offset)
          throws IOException

Deprecated.

Throws:
  `IOException`

#### MachO

    public MachO​(String file)
          throws IOException

Deprecated.

Throws:
  `IOException`

#### MachO

    public MachO​(String file,
                 long offset,
                 boolean filton)
          throws IOException

Deprecated.

Throws:
  `IOException`

#### MachO

    public MachO​(String file,
                 boolean filton)
          throws IOException

Deprecated.

Throws:
  `IOException`

### Method Detail

#### string_from_macho_symtab

    protected String string_from_macho_symtab​(MachO.SymtabCommand symtab,
                                              int index)
                                       throws IOException

Deprecated.

Throws:
  `IOException`

#### cppFilterEnabled

    public boolean cppFilterEnabled()

Deprecated.

#### setCppFilter

    public void setCppFilter​(boolean enabled)

Deprecated.

#### getMachOhdr

    public MachO.MachOhdr getMachOhdr()
                               throws IOException

Deprecated.

Throws:
  `IOException`

#### getAttributes

    public MachO.Attribute getAttributes()
                                  throws IOException

Deprecated.

Throws:
  `IOException`

#### getAttributes

    public static MachO.Attribute getAttributes​(String file)
                                         throws IOException

Deprecated.

Throws:
  `IOException`

#### getAttributes

    public static MachO.Attribute getAttributes​(byte[] array)
                                         throws IOException

Deprecated.

Throws:
  `IOException`

#### isMachOHeader

    public static boolean isMachOHeader​(byte[] bytes)

Deprecated.

#### dispose

    public void dispose()

Deprecated.

#### finalize

    protected void finalize()
                     throws Throwable

Deprecated.
Make sure we do not leak the fds.

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

#### loadBinary

    public void loadBinary()
                    throws IOException

Deprecated.

Throws:
  `IOException`

#### getSymbols

    public MachO.Symbol[] getSymbols()

Deprecated.

#### getDynamicSymbols

    public MachO.Symbol[] getDynamicSymbols()

Deprecated.

#### getSymtabSymbols

    public MachO.Symbol[] getSymtabSymbols()

Deprecated.

#### getLocalSymbols

    public MachO.Symbol[] getLocalSymbols()

Deprecated.

#### getLineTable

    public MachO.Line[] getLineTable()

Deprecated.

#### getSections

    public MachO.Section[] getSections()

Deprecated.

#### getDyLibs

    public MachO.DyLib[] getDyLibs​(int type)

Deprecated.

#### getSymbol

    public MachO.Symbol getSymbol​(long vma)

Deprecated.

#### swapInt

    public long swapInt​(long val)

Deprecated.

#### swapShort

    public int swapShort​(short val)

Deprecated.

#### getFilename

    public String getFilename()

Deprecated.

#### getSymbolReader

    public Object getSymbolReader()

Deprecated.